# List of plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
set -g @plugin 'o0th/tmux-nova'


# Defaults
set -g mouse on

set -g prefix2 C-a                        # GNU-Screen compatible prefix
bind C-a send-prefix -2

# reload configuration
bind r source-file ~/.tmux.conf \; display '~/.tmux.conf sourced'
set -g default-terminal "xterm-kitty"
set-window-option -g mode-keys vi

# Nova Config
set -g @nova-nerdfonts true
set -g @nova-nerdfonts-left 
#set -g @nova-nerdfonts-left 
#set -g @nova-nerdfonts-right 
set -g @nova-nerdfonts-right 
set -g @nova-status-style-bg "#1c2836"

set -g @nova-segment-mode "#{?client_prefix,Ω,ω}"
set -g @nova-segment-mode-colors "#50fa7b #282a36"

set -g @nova-segment-whoami "#(whoami)@#h"
set -g @nova-segment-whoami-colors "#50fa7b #282a36"

set -g @nova-pane "#I#{?pane_in_mode,  #{pane_mode},}  #W"

set -g @nova-rows 0
set -g @nova-segments-0-left "mode"
set -g @nova-segments-0-right "whoami"

# -- display -------------------------------------------------------------------

set -g base-index 1           # start windows numbering at 1
setw -g pane-base-index 1     # make pane numbering consistent with windows

setw -g automatic-rename on   # rename window to reflect current program
set -g renumber-windows on    # renumber windows when a window is closed

set -g set-titles on          # set terminal title

set -g display-panes-time 800 # slightly longer pane indicators display time
set -g display-time 1000      # slightly longer status messages display time

set -g status-interval 10     # redraw status line every 10 seconds



# Initialize TMUX plugin manager (keep this line at the very bottom of tmux.conf)
run '~/.tmux/plugins/tpm/tpm'
